# CEGUI::URect Class Reference

Area rectangle class built using unified dimensions (UDims). More...

Collaboration diagram for CEGUI::URect:

[legend]
List of all members.

## Public Member Functions

| URect (const UVector2 &min, const UVector2 &max)
| URect (const UDim &left, const UDim &top, const UDim &right, const UDim &bottom)
Rect | asAbsolute (const Size &base) const
Rect | asRelative (const Size &base) const
const UVector2 & | getPosition () const
UVector2 | getSize () const
UDim | getWidth () const
UDim | getHeight () const
void | setPosition (const UVector2 &pos)
void | setSize (const UVector2 &sz)
void | setWidth (const UDim &w)
void | setHeight (const UDim &h)
void | offset (const UVector2 &sz)

## Public Attributes

UVector2 | d_min
UVector2 | d_max

## Detailed Description

Area rectangle class built using unified dimensions (UDims).